MuldeR's Utilities for Qt MUtilities

Public Member Functions | Public Attributes | List of all members
MUtils::OS::Version::_os_version_t Struct Reference

This struct contains version information about the underlaying operating system. See `_os_version_t` for details! More...

`#include <OSSupport.h>`

## Public Member Functions
MUTILS_API bool | operator> (const _os_version_t &rhs) const
MUTILS_API bool | operator>= (const _os_version_t &rhs) const
MUTILS_API bool | operator< (const _os_version_t &rhs) const
MUTILS_API bool | operator<= (const _os_version_t &rhs) const

## Public Attributes
unsigned int | type
| The type of the underlaying operating system, as `os_type_t`
unsigned int | versionMajor
| The major version of the underlaying operating system.
unsigned int | versionMinor
| The minor version of the underlaying operating system.
unsigned int | versionBuild
| The build number of the underlaying operating system.
unsigned int | versionSPack
| The service pack version of the underlaying operating system.

## Detailed Description

This struct contains version information about the underlaying operating system. See `_os_version_t` for details!

The documentation for this struct was generated from the following file:

- include/MUtils/OSSupport.h